Standalone 【DragonProxy】 —— join ANY PC server using MCPE/MCWin10 0.3.4.6

Join any Minecraft Java Edition server using un-modded Pocket Edition OR Win10 Edition!

  1. use the latest
     
    • Like Like x 2
  2. @DefinitlyEvil Getting this error the second time i start the server
    Code (Text):

    (Daemon) Server marked as STARTING
    (Daemon) Checking size of server data directory...
    (Daemon) Disk Usage: 5M / 0M
    (Daemon) Running server preflight.
    (Daemon) YAMLException while processing config.yml
    (Daemon) unknown tag !<tag:yaml.org,2002:org.dragonet.proxy.DesktopServer> at line 37, column 3:
    my_pe_server:
    ^
    (Daemon) Server marked as OFF
     
     
  3. The developers are now working on 1.2.10 changes, please hold on. ;)
     
  4. 24.02 05:11:30 [Multicraft] Starting server! 24.02 05:11:30 [Multicraft] Loaded config for "Proxy: DragonProxy 0.3.4.2"
    24.02 05:11:30 [Multicraft] Updating eula.txt file
    24.02 05:11:30 [Server] INFO OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256M; support was removed in 8.0
    24.02 05:11:30 [Server] INFO Exception in thread "main" java.lang.NullPointerException
    24.02 05:11:30 [Server] INFO at org.dragonet.proxy.DragonProxy.<init>(DragonProxy.java:148)
    24.02 05:11:30 [Server] INFO at org.dragonet.proxy.DragonProxy.main(DragonProxy.java:59)
    24.02 05:11:31 [Multicraft] Server shut down (starting)
    24.02 05:11:31 [Multicraft] Restarting crashed server in 10 seconds
    24.02 05:11:31 [Multicraft] Looks like a crash, check the server console. Return value: 1
    24.02 05:11:31 [Multicraft] Server stopped

    Getting this error when starting it up on shockbyte hosting.
     
  5. Please try out the latest release. ;)
    you have to manually upload it.
     
  6. Ehh when players login from Pocket edition it doesn't show their IP but it shows the server ip instead. Is there a way to fix that
     
  7. kvq

    kvq

    Well thats how proxies works. Not sure of author able to fix it somehow.

    --------
    @DefinitlyEvil Amazing work. Thank you.
    I found bug. I cant see creative inventory items. mcpe 1.2.10
    [​IMG]
     
  8. 26.02 09:31:31 [Multicraft] Starting server!
    26.02 09:31:31 [Multicraft] Loaded config for "Proxy: Custom DragonProxy Version (Upload "dragonproxy.jar" to base FTP directory)" 2
    6.02 09:31:31 [Multicraft] Updating eula.txt file
    26.02 09:31:31 [Server] INFO OpenJDK 64-Bit Server VM warning: ignoring option MaxPermSize=256M; support was removed in 8.0
    26.02 09:31:31 [Server] INFO Exception in thread "main" java.lang.NullPointerException
    26.02 09:31:31 [Server] INFO at org.dragonet.proxy.DragonProxy.<init>(DragonProxy.java:158)
    26.02 09:31:31 [Server] INFO at org.dragonet.proxy.DragonProxy.getInstance(DragonProxy.java:69)
    26.02 09:31:31 [Server] INFO at org.dragonet.proxy.DragonProxy.main(DragonProxy.java:64)
    26.02 09:31:32 [Multicraft] Server shut down (starting)
    26.02 09:31:32 [Multicraft] Restarting crashed server in 10 seconds
    26.02 09:31:32 [Multicraft] Looks like a crash, check the server console. Return value: 1
    26.02 09:31:32 [Multicraft] Server stopped

    :( I don't know whats the problem...
    I used the new one
     
  9. We will add IP forward in our BungeeCord addon soon. ;)
     
    • Friendly Friendly x 1
  10. Creative inventory isn't implemented... ;)

    Hi, could you join our Discord server? You can get help there! ;)
     
  11. Please tutorial . How to install to bungeecord
     
  12. Will this work on 1.8.8? I have the generic bungee server + hub that directs players to my various servers, this would be awesome to give mcpe players access to my server. If not supported, is it even possible to do this on 1.8.8 or does it use some new 1.12 technology?

    Great looking plugin.
     
  13. Read some of the reviews. Either that or you can update your server to the new wonderful version(s).
     
  14. Thanks, it turns out it will work! I want to update to 1.13 whenever that’s officially released, I would be on 1.12 but my server core is designed for 1.8.
     
  15. use ViaVersion.
     
    • Agree Agree x 1
  16. So you're saying to have via version on your production server but in front of that have the jar with protocolsupport on it? ??????
     
  17. only ViaVersion/ViaBackward is enough.